import * as core from "@terrascript/core";

export interface GroupArgs extends core.ResourceArgs {
  name: string | core.StringOut;

  path?: string | core.StringOut;
}

export class Group extends core.Resource<GroupArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  @core.attr(String)
  public path?: string | core.StringOut;

  @core.attr(String, { computed: true })
  public uniqueId!: string | core.StringOut;

  constructor(name: string, args?: GroupArgs) {
    super(name, "aws_iam_group", args);
  }

  public override getNamespace(): string {
    return "aws_iam";
  }
}
